## com.lowagie.text.rtf
Interface RtfExtendedElement

All Superinterfaces:
  RtfBasicElement

All Known Implementing Classes:
  RtfCell, RtfCodePage, RtfColor, RtfColorList, RtfFont, RtfFontList, RtfList, RtfListTable, RtfPageSetting, RtfParagraphStyle, RtfStylesheetList

    public interface RtfExtendedElement

extends RtfBasicElement

The RtfExtendedElement interface is to be used for elements that also write data into the definition part of the rtf document Version: $Id: RtfExtendedElement.java,v 1.16 2005/05/04 14:33:37 blowagie Exp $

Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Method Summary
`byte[]` `writeDefinition()` Return the definition part of the element in a byte array

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument, write`

Method Detail

### writeDefinition

    byte[] writeDefinition()

  Return the definition part of the element in a byte array

  Returns:
    A byte array containing the definition data of the Element